GEGELATI

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
Selector Namespace Reference

## Classes
class | ClassificationSelectionMetrics
| Class to extract metrics from either the agent or the environment. More...
class | ClassificationSelector
| Specialization of the selection class for classification purposes. More...
struct | SelectionContext
| Structure to interface between the selector and the TPGMutator. More...
class | SelectionMetrics
| Class to extract metrics from either the agent or the environment. More...
struct | SelectionParameters
| Structure holding all parameters affecting selection. More...
class | Selector
| Abstract class for the selection classes, that will choose which agents survived or not at each generation. More...
struct | TournamentParameters
| Structure holding all parameters affecting mutations of Truncation Selection. More...
class | TournamentSelector
| Selection class that will do a selection with a tournament. More...
struct | TruncationParameters
| Structure holding all parameters affecting mutations of Truncation Selection. More...
class | TruncationSelector
| Selection class that will do a selection with a truncation. This is the classic selection methods used in the earliest works of TPGs. More...

## Typedefs
using | MapElitesSelector = MapElites::MapElitesSelector
typedef struct Selector::TruncationParameters | TruncationParameters
| Structure holding all parameters affecting mutations of Truncation Selection.
typedef struct Selector::TournamentParameters | TournamentParameters
| Structure holding all parameters affecting mutations of Truncation Selection.
typedef struct Selector::SelectionParameters | SelectionParameters
| Structure holding all parameters affecting selection.

## Functions
bool | operator< (std::shared_ptr< SelectionMetrics > a, std::shared_ptr< SelectionMetrics > b)
| Comparison function to enable sorting of SelectionMetrics with STL.
std::shared_ptr< Selector > | selectorFactory (const std::shared_ptr< TPG::TPGGraph > graph, const Learn::LearningEnvironment &le, const Learn::LearningParameters &params)
| Factory method to create the appropriate Selector.

## Detailed Description

Copyright or © or Copr. IETR/INSA - Rennes (2020 - 2025) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2020) Pierre-Yves Le Rolland-Raumer plero.nosp@m.lla@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2020) Quentin Vacher qvach.nosp@m.er@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2025)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2025) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2023) Nicolas Sourbier nsour.nosp@m.bie@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2019 - 2020) Quentin Vacher qvach.nosp@m.er@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2024 - 2025)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## Typedef Documentation

## ◆ MapElitesSelector

using Selector::MapElitesSelector = MapElites::MapElitesSelector

To make the selector accessible from both Selector::MapElites and from Selector

## Function Documentation

## ◆ selectorFactory()

std::shared_ptr< Selector::Selector > Selector::selectorFactory | ( | const std::shared_ptr< TPG::TPGGraph > | graph,
|  | const Learn::LearningEnvironment & | le,
|  | const Learn::LearningParameters & | params )

Factory method to create the appropriate Selector.

Parameters

  [in] | graph | shared pointer of the TPGGraph on which the selection is done.
  [in] | le | LearningEnvironment used by the LearningAgent.
  [in] | params | LearningParameters used